package sgc.portal.cd.cd0204.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0204.dto.CD02040001USearch;

@Mapper
public interface CD02040001UMapper {
    //공사일보 세부현황 조회(당사출역)
	List<EasyHashMap<String, Object>> selectConDayWrkManpwrComList(CD02040001USearch search);
	
	//공사일보 세부현황 조회(협력업체출역)
	List<EasyHashMap<String, Object>> selectConDayWrkManpwrCvndList(CD02040001USearch search);
	
	//공사일보 세부현황 조회(장비투입)
	List<EasyHashMap<String, Object>> selectConDayWrkEqpmList(CD02040001USearch search);
	
	//공사일보 세부현황 조회(자재반입)
	List<EasyHashMap<String, Object>> selectConDayWrkBdmtList(CD02040001USearch search);
	
	//공사일보 세부현황 조회(Progress)
	List<EasyHashMap<String, Object>> selectConDayWrkProgList(CD02040001USearch search);
}
